Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Installation von Bluetooth Software  (Read 934 times)

Offline harley-peter

  • User
  • Posts: 1.023
[DE] Installation von Bluetooth Software
« on: 2016/05/30, 15:15:53 »
Hallo,

wenn ich die blueman oder gnome-bluetooth installieren möchte dann soll mir jedes Mal das Paket obexd-client entfernt werden. Könnte das Probleme verursachen?
Ich benutze übrigens Xfce.
« Last Edit: 2016/05/30, 15:23:51 by harley-peter »

Offline musca

  • User
  • Posts: 725
  • sid, fly high!
Re: Installation von Bluetooth Software
« Reply #1 on: 2016/05/31, 00:36:36 »
Hallo harley-peter,

OBEX steht für "OBject EXchange" und dieser kann generell über verschiedenartige Verbindungen (wie Infrarot, Bluetooth) genutzt werden.
z.B. kann mit obexfs auf Server (z.B. Smartphones) zugegriffen werden, die das obexftp bieten.

Etwas konkreter gesprochen ist "obexd-client" ein virtuelles Paket, das von anderen Paketen zur Verfügung gestellt werden kann, aber momentan gibt es kein solches Paket:
Code: [Select]
~$ aptitude search ~Pobexd-client

### keine Ausgabe ###

Du kannst prüfen, ob Du Pakete installiert hast, die zumindest als Recommends oder Suggests gern auf einen obexd-client zugreifen würden:
Code: [Select]
~$ apt-rdepends -f Suggests,Recommends --state-follow=Installed --state-show=Installed -r obexd-client
Reading package lists... Done
Building dependency tree       
Reading state information... Done
obexd-client
Bei so einer Ausgabe ist dies nicht der Fall.

Ich denke, das Paket kannst Du nun ruhig ziehen lassen.

Gruß
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline der_bud

  • User
  • Posts: 1.072
  • member
Re: Installation von Bluetooth Software
« Reply #2 on: 2016/05/31, 09:43:30 »
Hi harley-peter,
zusätzlich zu muscas Ausführungen noch eine weitere Variante die Situation zu untersuchen (viele Wege führen ...).  apt-cache show blueman zeigt bei den depends unter anderm den Schnipsel
Code: [Select]
apt-cache show blueman
..., obexd-client (>= 0.47) | bluez-obexd, ...

Die Pipe | heisst dabei entweder/oder , eines der Pakete mit ähnlicher Funktionalität wird benötigt. Dein zweites Paket gnome-bluetooth zeigt dann
Code: [Select]
apt-cache show gnome-bluetooth
..., Depends: bluez (>= 5.5), bluez-obexd, ...

Also das zweite Paket von oben wird gefordert, damit muss das andere was vor der Pipe steht runter. Folgerichtig zeigt dann auch
Code: [Select]
apt-cache show bluez-obexd
...
Conflicts: obexd-client, obexd-server
Replaces: obexd-client, obexd-server
...


Also, genau wie musca sagte, lass obexd-client ziehen :), bluez-obexd kommt dafür.
Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline harley-peter

  • User
  • Posts: 1.023
Re: Installation von Bluetooth Software
« Reply #3 on: 2016/05/31, 20:07:45 »
Hallo Freunde,

vielen Dank für die sehr ausführlichen Erläuterungen und Tips. Dann werde ich die grafischen Frontends mal testen und hoffen dass sie mich weiterbringen.

Grüße
Peter